ATtiny84 with LIS3DH error with I2C

I have an issue when trying to use the Adafruit LIS3DH library with the ATTinyCore. The error I receive is with initializing the LIS3DH object.
Hopefully someone can help me with resolving this issue. Thanks.

#include <Adafruit_LIS3DH.h>
#include <Adafruit_Sensor.h>

#include <Wire.h>

// I2C
Adafruit_LIS3DH lis = Adafruit_LIS3DH();

#if defined(ARDUINO_ARCH_SAMD)
// for Zero, output on USB Serial console, remove line below if using programming port to program the Zero!
   #define Serial SerialUSB
#endif

#define FREEFALL_THRESHOLD 0.35 // g value
#define ACTIVITY_THRESHOLD 1.0  // g value
#define FREEFALL_DEBOUNCE 100   // milliseconds
#define ORIENTATION_THRESHOLD 15  // degrees

void setup()
{
  
}

void loop()
{
  
}
Arduino: 1.8.1 (Windows 10), Board: "ATtiny24/44/84, Disabled, ATtiny84, 1 MHz (internal), EEPROM retained, B.O.D. Disabled, Counterclockwise (like old ATTinyCore and x41-series)"

In file included from C:\Users\310\Desktop\Accelerometer Prototype\attiny84_accel\attiny84_accel.ino:1:0:

C:\Users\310\Documents\Arduino\libraries\Adafruit_LIS3DH/Adafruit_LIS3DH.h:112:27: error: expected ')' before '*' token

   Adafruit_LIS3DH(TwoWire *Wi);

                           ^

C:\Users\310\Documents\Arduino\libraries\Adafruit_LIS3DH/Adafruit_LIS3DH.h:141:3: error: 'TwoWire' does not name a type

   TwoWire *I2Cinterface;

   ^

exit status 1
Error compiling for board ATtiny24/44/84.

This report would have more information with
"Show verbose output during compilation"
option enabled in File -> Preferences.

with ATtiny84 you will need to use a different i2c library. something like here:

then maybe something like this in your initilaisation Adafruit_LIS3DH lis = Adafruit_LIS3DH(&TinyWireS);
but not sure this is correct

Fixed last night in the github version (will be in 1.1.6 release). https://github.com/SpenceKonde/ATTinyCore/issues/238 I assumed the person who opened that issue was you, which is why I didn't post back here.

To use the new version now, uninstall using board manager, and refer to the manual installation section of this document: https://github.com/SpenceKonde/ATTinyCore/blob/master/Installation.md

Let me know how you get on with it.

DrAzzy: Fixed last night in the github version (will be in 1.1.6 release). https://github.com/SpenceKonde/ATTinyCore/issues/238 I assumed the person who opened that issue was you, which is why I didn't post back here.

To use the new version now, uninstall using board manager, and refer to the manual installation section of this document: https://github.com/SpenceKonde/ATTinyCore/blob/master/Installation.md

Let me know how you get on with it.

It wasn't me on github. But I'm glad it has been addressed. Thanks.